Skip to main content
GET
https://api-gw.verolabs.co/api/v1
/
users
/
accounts
/
{accountId}
/
transactions
/
{startTime}
/
{endTime}
List account transactions in a time range
curl --request GET \
  --url https://api-gw.verolabs.co/api/v1/users/accounts/{accountId}/transactions/{startTime}/{endTime} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "accountId": "<string>",
    "transactionType": "<string>",
    "amount": 123,
    "status": "<string>",
    "network": "<string>",
    "tx": "<string>",
    "recvAddress": "<string>",
    "senderAddress": "<string>",
    "processedTime": 123,
    "metadata": {},
    "createdAt": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT returned by Ory /sessions/whoami?tokenize_as=jwt_template_1 and stored by ApiClient.

Path Parameters

accountId
string
required
startTime
integer<int64>
required

Unix timestamp in milliseconds.

endTime
integer<int64>
required

Unix timestamp in milliseconds.

Response

Transactions in the requested time range.

id
string
accountId
string
transactionType
string

Examples used by UI: deposit, withdraw, fee, trading_fee, overnight_fee, realized_pnl, pnl, tax, trading_tax, commission, trading_commission, referral_refund, referral_rebate.

amount
number
status
string
network
string
tx
string
recvAddress
string
senderAddress
string
processedTime
integer<int64>
metadata
object
createdAt
string